CFedS System Requirements

Please review the minimum system requirements for the CFedS Training Program before registering for the program.

The CFedS program has been redesigned to run directly from an external hard drive that you will connect to your computer.

Please make sure that you have the minimum system requirements:

  • Windows XP, Windows Vista, or Windows 7 operating system (or higher).
  • Computer with a USB port (USB 2.0 port recommended).
  • Internet Explorer (6.0 or higher) or Firefox (3.5 or higher). *
  • Monitor with a video resolution of 1024x768 or higher.
  • Audio playback capability with speakers or headphones.
  • Access to the Internet (for the quizzes).
  • Adobe Reader 8.0 or higher. **
  • Windows Media Player or equivalent
  • Flash Player Plug-in 9.0.124 or higher. **

*CFedS does not support Google Chrome browsers.
**If you do not have the Flash Player Plug-in or Adobe Reader 8.0 you will find links to these tools located on the hard drive under Program Resources.

I have read the CFedS System Requirements and confirm my system meets or exceeds all requirements.